% Template  for ACFD 2023 Bengaluru Conference
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ACFD}


% DECLARE TEMPLATE OPTIONS
\DeclareOption{onecolumn}{\OptionNotUsed}
\DeclareOption{11pt}{\OptionNotUsed}
\DeclareOption{a4paper}{\OptionNotUsed}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
%%
\LoadClass[a4paper,11pt,onecolumn,notitlepage]{article}
%%
\usepackage{pslatex}
\usepackage{graphicx}
\usepackage{fancyhdr}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{textcomp}
\usepackage[top=25mm, bottom=25mm, left=25mm, right=25mm]{geometry}
\usepackage{subfigure}	
\usepackage{hyperref}
\usepackage{xcolor}
\usepackage{lipsum}  
\usepackage[numbers]{natbib}

%% FONT SIZES
\renewcommand{\normalsize}{\fontsize{11}{11}\selectfont}
\newcommand{\authorsize}{\fontsize{14}{14}\selectfont}
\newcommand{\titlesize}{\fontsize{20}{20}\selectfont}

%% page style
\pagestyle{fancy}


\lhead{}
\chead{}
\rhead{}
\lfoot{}
\cfoot{}
\rfoot{}

\renewcommand{\headrulewidth}{0pt}
\setlength{\columnsep}{12.5mm}

\fancypagestyle{firstpage}{%
 	 \lhead{\itshape \color{gray} \textit{14\textsuperscript{th} 
   Asian Computational Fluid
Dynamics Conference (ACFD 2023) \\ 30\textsuperscript{th} Oct. - 2\textsuperscript{nd} Nov. 2023, Bengaluru, India}}
	}
  
 \renewcommand{\maketitle}{
 		\global\@topnum\z@
  		\@maketitle
    		\thispagestyle{firstpage}
	}
	
\def\@maketitle{
	\newpage
 	\null
 	\begin{center}
		{\bfseries \titlesize \@title}
		\vskip 15pt%
		{\bfseries \authorsize \@author}
		\vskip 15pt%
		{\mdseries \normalsize \@affiliation}
	\end{center}
	}
	
\def\affiliation#1{\gdef\@affiliation{#1}}
\gdef\@affiliation{}
	
	
%%%%
\renewenvironment{abstract}{\section*{\centering{ABSTRACT}}}{}%
\newenvironment{acknowledgments}{\section*{Acknowledgements}}{}%

\bibliographystyle{unsrtnat}